
constituents.make : cmt_path.make requirements
	@if test ! -f constituents.make -o "$(build_strategy)" = "rebuild_makefiles"; then \
	  echo "Rebuilding $@"; \
	  $(cmtexe) build constituents_makefile -quiet -tag=$(tags); \
	fi

all :: build_library_links

build_library_links : dirs cmt_path.make requirements
	@echo "Rebuilding library links"; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  $(cmtexe) build library_links -quiet -tag=$(tags)

-include constituents.make

clean ::
	@$(cmtexe) remove library_links -quiet -tag=$(tags); \
	  echo "Removing library links"

makefilesclean ::
	/bin/rm -f $(bin)*.make* ; \
	/bin/rm -f *.make* ; \
	/bin/rm -f checkuses

clean :: makefilesclean
